package com.ElyStudio.leGaou.models;

public class Games {

    private int id;
    private String name;
    private String icon;
    private String gameUrl;
    private int colorCode;
    private String bgImage;
    private int priority;

    public Games() {
    }

    public Games(int id, String name, String icon, String gameUrl, int colorCode, String bgImage, int priority) {
        this.id = id;
        this.name = name;
        this.icon = icon;
        this.gameUrl = gameUrl;
        this.colorCode = colorCode;
        this.bgImage = bgImage;
        this.priority = priority;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getGameUrl() {
        return gameUrl;
    }

    public void setGameUrl(String gameUrl) {
        this.gameUrl = gameUrl;
    }

    public int getColorCode() {
        return colorCode;
    }

    public void setColorCode(int colorCode) {
        this.colorCode = colorCode;
    }

    public String getBgImage() {
        return bgImage;
    }

    public void setBgImage(String bgImage) {
        this.bgImage = bgImage;
    }

    public int getPriority() {
        return priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }
}
